Package org.eclipse.birt.report.engine.api.script.element

# Interface IScriptStyleDesign

public interface IScriptStyleDesign
Represents the design time style for a report element in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canShrink()`
Tests whether the section can shrink if the actual content is smaller than the design size.
`String`
`getBackgroundAttachment()`
Returns a background attachment as a string.
`String`
`getBackgroundColor()`
Get the background color.
`String`
`getBackgroundHeight()`
Returns the height of the background image.
`String`
`getBackgroundImage()`
Returns the address of the background image.
`String`
`getBackGroundPositionX()`
Get the x position for the background.
`String`
`getBackGroundPositionY()`
Get the y position for the background.
`String`
`getBackgroundRepeat()`
Returns the pattern of the repeat for a background image.
`String`
`getBackgroundWidth()`
Returns the width of the background image.
`String`
`getBorderBottomColor()`
Get the color of the bottom side of the border.
`String`
`getBorderBottomStyle()`
Returns the style of the bottom line of the border.
`String`
`getBorderBottomWidth()`
Get the width of the bottom side of the border.
`String`
`getBorderLeftColor()`
Get the color of the left side of the border.
`String`
`getBorderLeftStyle()`
Returns the style of the left line of the border.
`String`
`getBorderLeftWidth()`
Get the width of left side of the border.
`String`
`getBorderRightColor()`
Get the color of the right side of the border.
`String`
`getBorderRightStyle()`
Returns the style of the right line of the border.
`String`
`getBorderRightWidth()`
Get the width of right side of the border.
`String`
`getBorderTopColor()`
Get the color of the top side of the border.
`String`
`getBorderTopStyle()`
Returns the style of the top line of the border.
`String`
`getBorderTopWidth()`
Get the width of the top side of the border.
`String`
`getColor()`
Get the font color.
`String`
`getDateTimeFormat()`
Returns the pattern of the date-time-format.
`String`
`getDateTimeFormatCategory()`
Returns the category of the date-time-format.
`String`
`getDisplay()`
Returns the value that specifies if a top-level element should be a block or in-line element.
`String`
`getFontFamily()`
Get the font family.
`String`
`getFontSize()`
Get the font size.
`String`
`getFontStyle()`
Returns the style of the font.
`String`
`getFontVariant()`
Returns the variant of the font.
`String`
`getFontWeight()`
Get the weight of the font.
`String`
`getLetterSpacing()`
Get the spacing between individual letters.
`String`
`getLineHeight()`
Get the height of a line.
`String`
`getMarginBottom()`
Get the margin of the bottom side.
`String`
`getMarginLeft()`
Get the margin of the left side.
`String`
`getMarginRight()`
Get the margin of the right side.
`String`
`getMarginTop()`
Get the margin of the top side.
`String`
`getMasterPage()`
Returns the name of the master page on which to start this section.
`String`
`getNumberFormat()`
Returns the pattern of a number format for a style.
`String`
`getNumberFormatCategory()`
Returns the category of a number format for a style.
`String`
`getOrphans()`
Returns the value of orphans.
`String`
`getPaddingBottom()`
Get the padding of the bottom side.
`String`
`getPaddingLeft()`
Get the padding of the left side.
`String`
`getPaddingRight()`
Get the padding of the right side.
`String`
`getPaddingTop()`
Get the padding of the top side.
`String`
`getPageBreakAfter()`
Returns the page break after property for block-level elements.
`String`
`getPageBreakBefore()`
Returns the page break before property for block-level elements.
`String`
`getPageBreakInside()`
Returns the page break inside property for block-level elements.
`boolean`
`getShowIfBlank()`
Tests whether to show this frame even if it is empty, or all its data elements are empty.
`String`
`getStringFormat()`
Returns the pattern of a string format.
`String`
`getStringFormatCategory()`
Returns the category of a string format.
`String`
`getTextAlign()`
Returns the text align for block-level elements.
`String`
`getTextIndent()`
Get the text indent.
`String`
`getTextLineThrough()`
Returns one 'text-decoration' property to set line-through styles.
`String`
`getTextOverline()`
Returns one 'text-decoration' property to set overline styles.
`String`
`getTextTransform()`
Returns the value to transform the text.
`String`
`getTextUnderline()`
Returns one 'text-decoration' property to set underline styles.
`String`
`getVerticalAlign()`
Returns the value of the vertical align property for inline elements.
`String`
`getWhiteSpace()`
Returns the white space for block elements.
`String`
`getWidows()`
Returns the value of widows.
`String`
`getWordSpacing()`
Get the spacing between two words.
`void`
`setBackgroundAttachment(String value)`
Sets the background attachment.
`void`
`setBackgroundColor(String color)`
Set the background color.
`void`
`setBackgroundHeight(String value)`
Set the background height of the background image.
`void`
`setBackgroundImage(String value)`
Sets the address of the background image.
`void`
`setBackGroundPositionX(String x)`
Set the x position for the background.
`void`
`setBackGroundPositionY(String y)`
Set the y position for the background.
`void`
`setBackgroundRepeat(String value)`
Sets the repeat pattern for a background image.
`void`
`setBackgroundWidth(String value)`
Set the background width of the background image.
`void`
`setBorderBottomColor(String color)`
Set the color of the bottom side of the border.
`void`
`setBorderBottomStyle(String value)`
Sets the style of the bottom line of the border.
`void`
`setBorderBottomWidth(String width)`
Set the width of the bottom side of the border.
`void`
`setBorderLeftColor(String color)`
Set the color of the left side of the border.
`void`
`setBorderLeftStyle(String value)`
Sets the style of the left line of the border.
`void`
`setBorderLeftWidth(String width)`
Set the width of left side of the border.
`void`
`setBorderRightColor(String color)`
Set the color of the right side of the border.
`void`
`setBorderRightStyle(String value)`
Sets the style of the right line of the border.
`void`
`setBorderRightWidth(String width)`
Set the width of the right side of the border.
`void`
`setBorderTopColor(String color)`
Set the color of the top side of the border.
`void`
`setBorderTopStyle(String value)`
Sets the style of the top line of the border.
`void`
`setBorderTopWidth(String width)`
Set the width of the top side of the border.
`void`
`setCanShrink(boolean value)`
Sets whether the section can shrink if the actual content is smaller than the design size.
`void`
`setColor(String color)`
Set the font color.
`void`
`setDateTimeFormat(String pattern)`
Sets the pattern of a date time format for a highlight rule.
`void`
`setDateTimeFormatCategory(String pattern)`
Sets the category of a number format.
`void`
`setDisplay(String value)`
Sets the value that specifies if a top-level element should be a block or in-line element.
`void`
`setFontFamily(String fontFamily)`
Set the font family.
`void`
`setFontSize(String fontSize)`
Set the font size.
`void`
`setFontStyle(String fontStyle)`
Sets the style of the font.
`void`
`setFontVariant(String fontVariant)`
Sets the variant of the font.
`void`
`setFontWeight(String fontWeight)`
Sets the weight of the font.
`void`
`setLetterSpacing(String spacing)`
Set the spacing between individual letters.
`void`
`setLineHeight(String height)`
Set the height of a line.
`void`
`setMarginBottom(String margin)`
Set the margin of the bottom side.
`void`
`setMarginLeft(String margin)`
Set the margin of the left side.
`void`
`setMarginRight(String margin)`
Set the margin of the right side.
`void`
`setMarginTop(String margin)`
Set the margin of the top side.
`void`
`setMasterPage(String value)`
Sets the master page name on which to start this section.
`void`
`setNumberFormat(String pattern)`
Sets the pattern of a number format.
`void`
`setNumberFormatCategory(String category)`
Sets the category of a number format for a highlight rule.
`void`
`setOrphans(String value)`
Sets the orphans property.
`void`
`setPaddingBottom(String padding)`
Set the padding of the bottom side.
`void`
`setPaddingLeft(String padding)`
Set the padding of the left side.
`void`
`setPaddingRight(String padding)`
Set the padding of the right side.
`void`
`setPaddingTop(String padding)`
Set the padding of the top side.
`void`
`setPageBreakAfter(String value)`
Sets the page break after property for block-level elements.
`void`
`setPageBreakBefore(String value)`
Sets the page break before property for block-level elements.
`void`
`setPageBreakInside(String value)`
Sets the page break inside property for block-level elements.
`void`
`setShowIfBlank(boolean value)`
Sets whether to show this frame even if it is empty, or all its data elements are empty.
`void`
`setStringFormat(String pattern)`
Sets the pattern of a string format.
`void`
`setStringFormatCategory(String pattern)`
Sets the category of a string format.
`void`
`setTextAlign(String value)`
Sets the text align for block-level elements.
`void`
`setTextIndent(String indent)`
Set the text indent.
`void`
`setTextLineThrough(String value)`
Sets one 'text-decoration' property to set line-through styles.
`void`
`setTextOverline(String value)`
Sets one 'text-decoration' property to set overline styles.
`void`
`setTextTransform(String value)`
Sets the value used to transform the text.
`void`
`setTextUnderline(String value)`
Sets one 'text-decoration' property to set underline styles.
`void`
`setVerticalAlign(String value)`
Sets the value of the vertical align property for inline elements.
`void`
`setWhiteSpace(String value)`
Sets the white space property for block elements.
`void`
`setWidows(String value)`
Sets the widows property.
`void`
`setWordSpacing(String spacing)`
Set the spacing between two words.

## Method Details

### getBackgroundAttachment

String getBackgroundAttachment()
Returns a background attachment as a string. The return value is defined in `DesignChoiceConstants` and can be one of:

- BACKGROUND_ATTACHMENT_SCROLL
- BACKGROUND_ATTACHMENT_FIXED

Returns:
  the background attachment

### setBackgroundAttachment

void setBackgroundAttachment(String value) throws ScriptException
Sets the background attachment. The return value is defined in `DesignChoiceConstants` and can be one of:

- BACKGROUND_ATTACHMENT_SCROLL
- BACKGROUND_ATTACHMENT_FIXED

Parameters:
  `value` - the new background attachment
Throws:
  `ScriptException` - if the value is not one of the above.

### getBackgroundImage

String getBackgroundImage()
Returns the address of the background image.

Returns:
  the address of the background image as a string

### setBackgroundImage

void setBackgroundImage(String value) throws ScriptException
Sets the address of the background image. The value is a URL as a string.

Parameters:
  `value` - the new background image address
Throws:
  `ScriptException` - if the property is locked

### getBackgroundRepeat

String getBackgroundRepeat()
Returns the pattern of the repeat for a background image. The return value is defined in `DesignChoiceConstants` and can be one of:

- BACKGROUND_REPEAT_REPEAT
- BACKGROUND_REPEAT_REPEAT_X
- BACKGROUND_REPEAT_REPEAT_Y
- BACKGROUND_REPEAT_NO_REPEAT

Returns:
  the repeat pattern

### setBackgroundHeight

void setBackgroundHeight(String value) throws ScriptException
Set the background height of the background image.

Parameters:
  `value` - the new background image height
Throws:
  `ScriptException` - if the property is locked

### getBackgroundHeight

String getBackgroundHeight()
Returns the height of the background image.

Returns:
  the background image height

### setBackgroundWidth

void setBackgroundWidth(String value) throws ScriptException
Set the background width of the background image.

Parameters:
  `value` - the new background image width
Throws:
  `ScriptException` - if the property is locked

### getBackgroundWidth

String getBackgroundWidth()
Returns the width of the background image.

Returns:
  the background image width

### setBackgroundRepeat

void setBackgroundRepeat(String value) throws ScriptException
Sets the repeat pattern for a background image. The input value is defined in `DesignChoiceConstants` and can be one of:

- BACKGROUND_REPEAT_REPEAT
- BACKGROUND_REPEAT_REPEAT_X
- BACKGROUND_REPEAT_REPEAT_Y
- BACKGROUND_REPEAT_NO_REPEAT

Parameters:
  `value` - the new repeat pattern
Throws:
  `ScriptException` - if the value is not one of the above.

### getBorderBottomStyle

String getBorderBottomStyle()
Returns the style of the bottom line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Returns:
  the style of the bottom line

### setBorderBottomStyle

void setBorderBottomStyle(String value) throws ScriptException
Sets the style of the bottom line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Parameters:
  `value` - the new style of the bottom line
Throws:
  `ScriptException` - if the value is not one of the above.

### getBorderLeftStyle

String getBorderLeftStyle()
Returns the style of the left line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Returns:
  the style of the left line

### setBorderLeftStyle

void setBorderLeftStyle(String value) throws ScriptException
Sets the style of the left line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Parameters:
  `value` - the new style of the left line
Throws:
  `ScriptException` - if the value is not one of the above.

### getBorderRightStyle

String getBorderRightStyle()
Returns the style of the right line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Returns:
  the style of the right line

### setBorderRightStyle

void setBorderRightStyle(String value) throws ScriptException
Sets the style of the right line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Parameters:
  `value` - the new style of the right line
Throws:
  `ScriptException` - if the value is not one of the above.

### getBorderTopStyle

String getBorderTopStyle()
Returns the style of the top line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Returns:
  the style of the top line

### setBorderTopStyle

void setBorderTopStyle(String value) throws ScriptException
Sets the style of the top line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:

- `LINE_STYLE_NONE`
- `LINE_STYLE_SOLID`
- `LINE_STYLE_DOTTED`
- `LINE_STYLE_DASHED`
- `LINE_STYLE_DOUBLE`
- `LINE_STYLE_GROOVE`
- `LINE_STYLE_RIDGE`
- `LINE_STYLE_INSET`
- `LINE_STYLE_OUTSET`

Parameters:
  `value` - the new style of the right line
Throws:
  `ScriptException` - if the value is not one of the above.

### canShrink

boolean canShrink()
Tests whether the section can shrink if the actual content is smaller than the design size.

Returns:
  `true` if can shrink, otherwise `false`
See Also:
  - `setCanShrink(boolean)`

### setCanShrink

void setCanShrink(boolean value) throws ScriptException
Sets whether the section can shrink if the actual content is smaller than the design size.

Parameters:
  `value` - `true` if can shrink, `false` not.
Throws:
  `ScriptException` - if the property is locked
See Also:
  - `canShrink()`

### getStringFormat

String getStringFormat()
Returns the pattern of a string format.

Returns:
  the pattern of a string format

### setStringFormat

void setStringFormat(String pattern) throws ScriptException
Sets the pattern of a string format.

Parameters:
  `pattern` - the pattern of a string forma
Throws:
  `ScriptException` - if the property is locked

### getStringFormatCategory

String getStringFormatCategory()
Returns the category of a string format.

Returns:
  the category of a string format

### setStringFormatCategory

void setStringFormatCategory(String pattern) throws ScriptException
Sets the category of a string format. The `pattern` can be one of:

- `DesignChoiceConstants.STRING_FORMAT_TYPE_UNFORMATTED`
- `DesignChoiceConstants.STRING_FORMAT_TYPE_UPPERCASE`
- `DesignChoiceConstants.STRING_FORMAT_TYPE_LOWERCASE`
- `DesignChoiceConstants.STRING_FORMAT_TYPE_CUSTOM`
- `DesignChoiceConstants.STRING_FORMAT_TYPE_ZIP_CODE`
- `DesignChoiceConstants.STRING_FORMAT_TYPE_ZIP_CODE_4`
- `DesignChoiceConstants.STRING_FORMAT_TYPE_PHONE_NUMBER`
- `DesignChoiceConstants.STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER`

Parameters:
  `pattern` - the category of a string format
Throws:
  `ScriptException` - if `pattern` is not one of the above values.

### getNumberFormat

String getNumberFormat()
Returns the pattern of a number format for a style.

Returns:
  the pattern of a number format

### setNumberFormat

void setNumberFormat(String pattern) throws ScriptException
Sets the pattern of a number format.

Parameters:
  `pattern` - the pattern of a number format
Throws:
  `ScriptException` - if the property is locked

### getNumberFormatCategory

String getNumberFormatCategory()
Returns the category of a number format for a style.

Returns:
  the category of a number format

### setNumberFormatCategory

void setNumberFormatCategory(String category) throws ScriptException
Sets the category of a number format for a highlight rule. The `pattern` can be one of:

- `DesignChoiceConstants.NUMBER_FORMAT_TYPE_UNFORMATTED`
- `DesignChoiceConstants.NUMBER_FORMAT_TYPE_GENERAL_NUMBER`
- `DesignChoiceConstants.NUMBER_FORMAT_TYPE_CURRENCY`
- `DesignChoiceConstants.NUMBER_FORMAT_TYPE_FIXED`
- `DesignChoiceConstants.NUMBER_FORMAT_TYPE_PERCENT`
- `DesignChoiceConstants.NUMBER_FORMAT_TYPE_SCIENTIFIC`
- `DesignChoiceConstants.NUMBER_FORMAT_TYPE_STANDARD`
- `DesignChoiceConstants.NUMBER_FORMAT_TYPE_CUSTOM`

Parameters:
  `category` - the category of a number format
Throws:
  `ScriptException` - if `category` is not one of the above values.

### getDateTimeFormat

String getDateTimeFormat()
Returns the pattern of the date-time-format.

Returns:
  the pattern of the date-time-format

### setDateTimeFormat

void setDateTimeFormat(String pattern) throws ScriptException
Sets the pattern of a date time format for a highlight rule.

Parameters:
  `pattern` - the pattern of a date time format
Throws:
  `ScriptException` - if the property is locked

### getDateTimeFormatCategory

String getDateTimeFormatCategory()
Returns the category of the date-time-format.

Returns:
  the category of the date-time-format

### setDateTimeFormatCategory

void setDateTimeFormatCategory(String pattern) throws ScriptException
Sets the category of a number format. The `pattern` can be one of:

- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_UNFORMATTED`
- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_GENERAL_DATE`
- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_LONG_DATE`
- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_MUDIUM_DATE`
- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_SHORT_DATE`
- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_LONG_TIME`
- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_MEDIUM_TIME`
- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_SHORT_TIME`
- `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_CUSTOM`

Parameters:
  `pattern` - the category of a date-time format
Throws:
  `ScriptException` - if `pattern` is not one of the above values.

### getDisplay

String getDisplay()
Returns the value that specifies if a top-level element should be a block or in-line element. The input value is defined in `DesignChoiceConstants` and can be one of:

- `DISPLAY_NONE`
- `DISPLAY_INLINE`
- `DISPLAY_BLOCK`

Returns:
  the display value as a string

### setDisplay

void setDisplay(String value) throws ScriptException
Sets the value that specifies if a top-level element should be a block or in-line element. The input value is defined in `DesignChoiceConstants` and can be one of:

- `DISPLAY_NONE`
- `DISPLAY_INLINE`
- `DISPLAY_BLOCK`

Parameters:
  `value` - the new display value
Throws:
  `ScriptException` - if the value is not one of the above.

### getMasterPage

String getMasterPage()
Returns the name of the master page on which to start this section.

Returns:
  the master page name
See Also:
  - `setMasterPage(String)`

### setMasterPage

void setMasterPage(String value) throws ScriptException
Sets the master page name on which to start this section. If blank, the normal page sequence is used. If defined, the section starts on a new page, and the master page is the one defined here. The subsequent pages are those defined by the report's page sequence.

Parameters:
  `value` - the new master page name
Throws:
  `ScriptException` - if the property is locked
See Also:
  - `getMasterPage()`

### getOrphans

String getOrphans()
Returns the value of orphans. The return value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:

- `ORPHANS_INHERIT`

Returns:
  the orphans property
See Also:
  - `setOrphans(String)`

### setOrphans

void setOrphans(String value) throws ScriptException
Sets the orphans property. A orphan occurs if the first line of a multi-line paragraph appears on its own at the bottom of a page due to a page break. The input value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:

- `ORPHANS_INHERIT`

Parameters:
  `value` - the new orphans property
Throws:
  `ScriptException` - if the value is not an integer or one of the above constants.
See Also:
  - `getOrphans()`

### getPageBreakAfter

String getPageBreakAfter()
Returns the page break after property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:

- `PAGE_BREAK_AUTO`
- `PAGE_BREAK_ALWAYS`
- `PAGE_BREAK_AVOID`
- `PAGE_BREAK_LEFT`
- `PAGE_BREAK_RIGHT`
- `PAGE_BREAK_INHERIT`

Returns:
  the page break after property

### setPageBreakAfter

void setPageBreakAfter(String value) throws ScriptException
Sets the page break after property for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:

- `PAGE_BREAK_AUTO`
- `PAGE_BREAK_ALWAYS`
- `PAGE_BREAK_AVOID`
- `PAGE_BREAK_LEFT`
- `PAGE_BREAK_RIGHT`
- `PAGE_BREAK_INHERIT`

Parameters:
  `value` - the new page break after property
Throws:
  `ScriptException` - if the value is not pre-defined.

### getPageBreakBefore

String getPageBreakBefore()
Returns the page break before property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:

- `PAGE_BREAK_AUTO`
- `PAGE_BREAK_ALWAYS`
- `PAGE_BREAK_AVOID`
- `PAGE_BREAK_LEFT`
- `PAGE_BREAK_RIGHT`
- `PAGE_BREAK_INHERIT`

Returns:
  the page break before property

### setPageBreakBefore

void setPageBreakBefore(String value) throws ScriptException
Sets the page break before property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:

- `PAGE_BREAK_AUTO`
- `PAGE_BREAK_ALWAYS`
- `PAGE_BREAK_AVOID`
- `PAGE_BREAK_LEFT`
- `PAGE_BREAK_RIGHT`
- `PAGE_BREAK_INHERIT`

Parameters:
  `value` - the new page break before property
Throws:
  `ScriptException` - if the value is not one of the above.

### getPageBreakInside

String getPageBreakInside()
Returns the page break inside property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:

- `PAGEBREAK_INSIDE_AVOID`
- `PAGEBREAK_INSIDE_AUTO`
- `PAGEBREAK_INSIDE_INHERIT`

Returns:
  the page break inside property

### setPageBreakInside

void setPageBreakInside(String value) throws ScriptException
Sets the page break inside property for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:

- `PAGEBREAK_INSIDE_AVOID`
- `PAGEBREAK_INSIDE_AUTO`
- `PAGEBREAK_INSIDE_INHERIT`

Parameters:
  `value` - the new page break inside property
Throws:
  `ScriptException` - if the value is not one of the above.

### getShowIfBlank

boolean getShowIfBlank()
Tests whether to show this frame even if it is empty, or all its data elements are empty. If `false`, the section is automatically hidden when empty.

Returns:
  `true` if show-if-blank, otherwise `false`
See Also:
  - `setShowIfBlank(boolean)`

### setShowIfBlank

void setShowIfBlank(boolean value) throws ScriptException
Sets whether to show this frame even if it is empty, or all its data elements are empty.

Parameters:
  `value` - `true` if show the frame. `false` not.
Throws:
  `ScriptException` - if the property is locked
See Also:
  - `getShowIfBlank()`

### getTextUnderline

String getTextUnderline()
Returns one 'text-decoration' property to set underline styles. The return value is one of constants defined in `DesignChoiceConstants`:

- `TEXT_UNDERLINE_NONE`
- `TEXT_UNDERLINE_UNDERLINE`

Returns:
  the text underline value

### setTextUnderline

void setTextUnderline(String value) throws ScriptException
Sets one 'text-decoration' property to set underline styles. The input value is one of constants defined in `DesignChoiceConstants`:

- `TEXT_UNDERLINE_NONE`
- `TEXT_UNDERLINE_UNDERLINE`

Parameters:
  `value` - the new text underline
Throws:
  `ScriptException` - if the value is not pre-defined.

### getTextOverline

String getTextOverline()
Returns one 'text-decoration' property to set overline styles. The return value is one of constants defined in `DesignChoiceConstants`:

- `TEXT_OVERLINE_NONE`
- `TEXT_OVERLINE_OVERLINE`

Returns:
  the text overline value

### setTextOverline

void setTextOverline(String value) throws ScriptException
Sets one 'text-decoration' property to set overline styles. The input value is one of constants defined in `DesignChoiceConstants`:

- `TEXT_OVERLINE_NONE`
- `TEXT_OVERLINE_OVERLINE`

Parameters:
  `value` - the new text overline value
Throws:
  `ScriptException` - if the value is not one of the above.

### getTextLineThrough

String getTextLineThrough()
Returns one 'text-decoration' property to set line-through styles. The return value is one of constants defined in `DesignChoiceConstants`:

- `TEXT_LINE_THROUGH_NONE`
- `TEXT_LINE_THROUGH_LINE_THROUGH`

Returns:
  the text line-through value

### setTextLineThrough

void setTextLineThrough(String value) throws ScriptException
Sets one 'text-decoration' property to set line-through styles. The input value is one of constants defined in `DesignChoiceConstants`:

- `TEXT_LINE_THROUGH_NONE`
- `TEXT_LINE_THROUGH_LINE_THROUGH`

Parameters:
  `value` - the new text line-through value
Throws:
  `ScriptException` - if the value is not one of the above.

### getTextAlign

String getTextAlign()
Returns the text align for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:

- `TEXT_ALIGN_LEFT`
- `TEXT_ALIGN_CENTER`
- `TEXT_ALIGN_RIGHT`
- `TEXT_ALIGN_JUSTIFY`

Returns:
  the text align value

### setTextAlign

void setTextAlign(String value) throws ScriptException
Sets the text align for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:

- `TEXT_ALIGN_LEFT`
- `TEXT_ALIGN_CENTER`
- `TEXT_ALIGN_RIGHT`
- `TEXT_ALIGN_JUSTIFY`

Parameters:
  `value` - the new text align
Throws:
  `ScriptException` - if the value is not one of the above.

### getTextTransform

String getTextTransform()
Returns the value to transform the text. The return value is one of constants defined in `DesignChoiceConstants`:

- `TRANSFORM_CAPITALIZE`
- `TRANSFORM_UPPERCASE`
- `TRANSFORM_LOWERCASE`
- `TRANSFORM_NONE`

Returns:
  the text transform

### setTextTransform

void setTextTransform(String value) throws ScriptException
Sets the value used to transform the text. The input value is one of constants defined in `DesignChoiceConstants`:

- `TRANSFORM_CAPITALIZE`
- `TRANSFORM_UPPERCASE`
- `TRANSFORM_LOWERCASE`
- `TRANSFORM_NONE`

Parameters:
  `value` - the new text transform
Throws:
  `ScriptException` - if the value is not one of the above.

### getVerticalAlign

String getVerticalAlign()
Returns the value of the vertical align property for inline elements. The return value is defined in `DesignChoiceConstants` and can be one of:

- VERTICAL_ALIGN_BASELINE
- VERTICAL_ALIGN_SUB
- VERTICAL_ALIGN_SUPER
- VERTICAL_ALIGN_TOP
- VERTICAL_ALIGN_TEXT_TOP
- VERTICAL_ALIGN_MIDDLE
- VERTICAL_ALIGN_BOTTOM
- VERTICAL_ALIGN_TEXT_BOTTOM

Returns:
  the value of the vertical align property

### setVerticalAlign

void setVerticalAlign(String value) throws ScriptException
Sets the value of the vertical align property for inline elements. The input value is defined in `DesignChoiceConstants` and can be one of:

- VERTICAL_ALIGN_BASELINE
- VERTICAL_ALIGN_SUB
- VERTICAL_ALIGN_SUPER
- VERTICAL_ALIGN_TOP
- VERTICAL_ALIGN_TEXT_TOP
- VERTICAL_ALIGN_MIDDLE
- VERTICAL_ALIGN_BOTTOM
- VERTICAL_ALIGN_TEXT_BOTTOM

Parameters:
  `value` - the new vertical align
Throws:
  `ScriptException` - if the value is not one of the above.

### getWhiteSpace

String getWhiteSpace()
Returns the white space for block elements. The return value is defined in `DesignChoiceConstants` and can be one of:

- `WHITE_SPACE_NORMAL`
- `WHITE_SPACE_PRE`
- `WHITE_SPACE_NOWRAP`

Returns:
  the white space

### setWhiteSpace

void setWhiteSpace(String value) throws ScriptException
Sets the white space property for block elements. The return value is defined in `DesignChoiceConstants` and can be one of:

- `WHITE_SPACE_NORMAL`
- `WHITE_SPACE_PRE`
- `WHITE_SPACE_NOWRAP`

Parameters:
  `value` - the new white space
Throws:
  `ScriptException` - if the value is not one of the above.

### getWidows

String getWidows()
Returns the value of widows. The return value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:

- `WIDOWS_INHERIT`

Returns:
  the widows property
See Also:
  - `setWidows(String)`

### setWidows

void setWidows(String value) throws ScriptException
Sets the widows property. A 'widow' occurs when the last line of a multi-line paragraph appears on its own at the top of a page due to a page break. The input value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:

- `WIDOWS_INHERIT`

Parameters:
  `value` - the new windows property
Throws:
  `ScriptException` - if the value is not an integer or one of the above constants.
See Also:
  - `getWidows()`

### getColor

String getColor()
Get the font color.

Returns:
  color

### setColor

void setColor(String color) throws ScriptException
Set the font color.

Parameters:
  `color` -
Throws:
  `ScriptException`

### getBackgroundColor

String getBackgroundColor()
Get the background color.

Returns:
  background color

### setBackgroundColor

void setBackgroundColor(String color) throws ScriptException
Set the background color.

Parameters:
  `color` -
Throws:
  `ScriptException`

### getBorderTopColor

String getBorderTopColor()
Get the color of the top side of the border.

Returns:
  color of top border

### setBorderTopColor

void setBorderTopColor(String color) throws ScriptException
Set the color of the top side of the border.

Parameters:
  `color` -
Throws:
  `ScriptException`

### getBorderLeftColor

String getBorderLeftColor()
Get the color of the left side of the border.

Returns:
  color of left side of border

### setBorderLeftColor

void setBorderLeftColor(String color) throws ScriptException
Set the color of the left side of the border.

Parameters:
  `color` -
Throws:
  `ScriptException`

### getBorderRightColor

String getBorderRightColor()
Get the color of the right side of the border.

Returns:
  color of right side of border

### setBorderRightColor

void setBorderRightColor(String color) throws ScriptException
Set the color of the right side of the border.

Parameters:
  `color` -
Throws:
  `ScriptException`

### getBorderBottomColor

String getBorderBottomColor()
Get the color of the bottom side of the border.

Returns:
  color of bottom side of border

### setBorderBottomColor

void setBorderBottomColor(String color) throws ScriptException
Set the color of the bottom side of the border.

Parameters:
  `color` -
Throws:
  `ScriptException`

### getBackGroundPositionX

String getBackGroundPositionX()
Get the x position for the background.

Returns:
  x position

### setBackGroundPositionX

void setBackGroundPositionX(String x) throws ScriptException
Set the x position for the background.

Parameters:
  `x` -
Throws:
  `ScriptException`

### getBackGroundPositionY

String getBackGroundPositionY()
Get the y position for the background.

Returns:
  y position

### setBackGroundPositionY

void setBackGroundPositionY(String y) throws ScriptException
Set the y position for the background.

Parameters:
  `y` -
Throws:
  `ScriptException`

### getLetterSpacing

String getLetterSpacing()
Get the spacing between individual letters.

Returns:
  spacing

### setLetterSpacing

void setLetterSpacing(String spacing) throws ScriptException
Set the spacing between individual letters.

Parameters:
  `spacing` -
Throws:
  `ScriptException`

### getLineHeight

String getLineHeight()
Get the height of a line. Implies spacing between lines.

Returns:
  height of a line

### setLineHeight

void setLineHeight(String height) throws ScriptException
Set the height of a line. Implies spacing between lines.

Parameters:
  `height` -
Throws:
  `ScriptException`

### getTextIndent

String getTextIndent()
Get the text indent.

Returns:
  text indent

### setTextIndent

void setTextIndent(String indent) throws ScriptException
Set the text indent.

Parameters:
  `indent` -
Throws:
  `ScriptException`

### getWordSpacing

String getWordSpacing()
Get the spacing between two words.

Returns:
  spacing

### setWordSpacing

void setWordSpacing(String spacing) throws ScriptException
Set the spacing between two words.

Parameters:
  `spacing` -
Throws:
  `ScriptException`

### getBorderTopWidth

String getBorderTopWidth()
Get the width of the top side of the border.

Returns:
  width of top side of border

### setBorderTopWidth

void setBorderTopWidth(String width) throws ScriptException
Set the width of the top side of the border.

Parameters:
  `width` -
Throws:
  `ScriptException`

### getBorderLeftWidth

String getBorderLeftWidth()
Get the width of left side of the border.

Returns:
  width of left side of border

### setBorderLeftWidth

void setBorderLeftWidth(String width) throws ScriptException
Set the width of left side of the border.

Parameters:
  `width` -
Throws:
  `ScriptException`

### getBorderRightWidth

String getBorderRightWidth()
Get the width of right side of the border.

Returns:
  width of right side of border

### setBorderRightWidth

void setBorderRightWidth(String width) throws ScriptException
Set the width of the right side of the border.

Parameters:
  `width` -
Throws:
  `ScriptException`

### getBorderBottomWidth

String getBorderBottomWidth()
Get the width of the bottom side of the border.

Returns:
  width of bottom side of border

### setBorderBottomWidth

void setBorderBottomWidth(String width) throws ScriptException
Set the width of the bottom side of the border.

Parameters:
  `width` -
Throws:
  `ScriptException`

### getMarginTop

String getMarginTop()
Get the margin of the top side.

Returns:
  margin of top side.

### setMarginTop

void setMarginTop(String margin) throws ScriptException
Set the margin of the top side.

Parameters:
  `margin` -
Throws:
  `ScriptException`

### getMarginRight

String getMarginRight()
Get the margin of the right side.

Returns:
  margin of right side

### setMarginRight

void setMarginRight(String margin) throws ScriptException
Set the margin of the right side.

Parameters:
  `margin` -
Throws:
  `ScriptException`

### getMarginLeft

String getMarginLeft()
Get the margin of the left side.

Returns:
  margin of left side

### setMarginLeft

void setMarginLeft(String margin) throws ScriptException
Set the margin of the left side.

Parameters:
  `margin` -
Throws:
  `ScriptException`

### getMarginBottom

String getMarginBottom()
Get the margin of the bottom side.

Returns:
  margin of bottom side

### setMarginBottom

void setMarginBottom(String margin) throws ScriptException
Set the margin of the bottom side.

Parameters:
  `margin` -
Throws:
  `ScriptException`

### getPaddingTop

String getPaddingTop()
Get the padding of the top side.

Returns:
  padding of top side

### setPaddingTop

void setPaddingTop(String padding) throws ScriptException
Set the padding of the top side.

Parameters:
  `padding` -
Throws:
  `ScriptException`

### getPaddingRight

String getPaddingRight()
Get the padding of the right side.

Returns:
  padding of right side

### setPaddingRight

void setPaddingRight(String padding) throws ScriptException
Set the padding of the right side.

Parameters:
  `padding` -
Throws:
  `ScriptException`

### getPaddingLeft

String getPaddingLeft()
Get the padding of the left side.

Returns:
  padding of left side

### setPaddingLeft

void setPaddingLeft(String padding) throws ScriptException
Set the padding of the left side.

Parameters:
  `padding` -
Throws:
  `ScriptException`

### getPaddingBottom

String getPaddingBottom()
Get the padding of the bottom side.

Returns:
  padding of bottom side

### setPaddingBottom

void setPaddingBottom(String padding) throws ScriptException
Set the padding of the bottom side.

Parameters:
  `padding` -
Throws:
  `ScriptException`

### getFontSize

String getFontSize()
Get the font size.

Returns:
  font size

### setFontSize

void setFontSize(String fontSize) throws ScriptException
Set the font size.

Parameters:
  `fontSize` -
Throws:
  `ScriptException`

### getFontFamily

String getFontFamily()
Get the font family.

Returns:
  font family

### setFontFamily

void setFontFamily(String fontFamily) throws ScriptException
Set the font family.

Parameters:
  `fontFamily` -
Throws:
  `ScriptException`

### getFontWeight

String getFontWeight()
Get the weight of the font.

Returns:
  weight of font

### setFontWeight

void setFontWeight(String fontWeight) throws ScriptException
Sets the weight of the font. The input value is one of constants defined in `DesignChoiceConstants`:

- `FONT_WEIGHT_NORMAL`
- `FONT_WEIGHT_BOLD`
- `FONT_WEIGHT_BOLDER`
- `FONT_WEIGHT_LIGHTER`
- `FONT_WEIGHT_100`
- `FONT_WEIGHT_200`
- `FONT_WEIGHT_300`
- `FONT_WEIGHT_400`
- `FONT_WEIGHT_500`
- `FONT_WEIGHT_600`
- `FONT_WEIGHT_700`
- `FONT_WEIGHT_800`
- `FONT_WEIGHT_900`

Parameters:
  `fontWeight` - the new font weight
Throws:
  `ScriptException` - if the input value is not one of the above.

### getFontVariant

String getFontVariant()
Returns the variant of the font. The return value is one of constants defined in `DesignChoiceConstants`:

- `FONT_VARIANT_NORMAL`
- `FONT_VARIANT_SMALL_CAPS`

Returns:
  the font variant in a string.

### setFontVariant

void setFontVariant(String fontVariant) throws ScriptException
Sets the variant of the font. The input value is one of constants defined in `DesignChoiceConstants`:

- `FONT_VARIANT_NORMAL`
- `FONT_VARIANT_SMALL_CAPS`

Parameters:
  `fontVariant` - the new font variant.
Throws:
  `ScriptException` - if the input value is not one of the above.

### getFontStyle

String getFontStyle()
Returns the style of the font. The return value is one of constants defined in `DesignChoiceConstants`:

- `FONT_STYLE_NORMAL`
- `FONT_STYLE_ITALIC`
- `FONT_STYLE_OBLIQUE`

Returns:
  the font style in string.

### setFontStyle

void setFontStyle(String fontStyle) throws ScriptException
Sets the style of the font. The input value is one of constants defined in `DesignChoiceConstants`:

- `FONT_STYLE_NORMAL`
- `FONT_STYLE_ITALIC`
- `FONT_STYLE_OBLIQUE`

Parameters:
  `fontStyle` - the new font style.
Throws:
  `ScriptException` - if the input value is not one of the above.